# begin

This is a free implementation of the Cisco ios/asa/catalyst output modifier "begin" released under GNU GPL v.2 or any later version.

[Cisco output modifiers manual](https://www.cisco.com/c/en/us/td/docs/ios-xml/ios/fundamentals/configuration/15_sy/fundamentals-15-sy-book/cf-shw-cmd-out-redirect.pdf)

## DEPENDENCIES
This program depends on boost/xpressive header only library as well as boost/iostreams. On RedHat(-ish) systems do:

```bash
yum install boost-devel
```
On debian do:

```bash
apt-get install libboost-regex-dev libboost-iostreams-dev
```
before installation

## INSTALLATION

```bash
git clone https://code.smolnet.org/micke/begin.git
cd begin
meson build
ninja -C build
sudo ninja -C build install
```

## USAGE

```
begin [-z|-j] <regex> [filename]
```
